/* 
Theme Name: Hello Breinco
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Tema per a Breinco
Author: Colaboratori
Author URI: https://colaboratori.cat/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Breinco */

body {text-rendering: optimizeLegibility;}
a, a:hover, a:active, a:focus {outline: 0;color:inherit;}
.elementor-item:focus {background:none;}
.post, .page {margin: 0!important;}
b, strong {font-weight: 500;}

select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='12' height='12' viewBox='0 0 12 12' fill='none'><path d='M2 4L6 8L10 4' stroke='%23333' stroke-width='1' stroke-linecap='round' stroke-linejoin='round'/></svg>") 
              no-repeat right 12px center / 12px;
 }
select::-ms-expand {
  display: none;f
}

.elementor-section-inner {
	padding: 0 !important; 
	margin: 0 !important; 
}
.elementor-widget-text-editor a{
	text-decoration: underline!important;
	text-underline-offset: 3px;
	text-decoration-thickness: 1px!important;
	transition: 0.2s;
}
.elementor-widget-text-editor a:hover {
  text-underline-offset: 6px;
}

.offset-120{
	scroll-margin-top: 200px;
}
.ratio-1-1 {
	aspect-ratio: 1/1;
}
.ratio-3-1 {
	aspect-ratio: 3/1;
}
.ratio-16-9 {
	aspect-ratio: 16/9;
}
.grid-2fr-1fr, .grid-1fr-2fr {
	margin-bottom:40px!important;
} 
.grid-2fr-1fr h3, .grid-1fr-2fr h3{
	margin: 0px;
}


/* classes x evitar errors render pc */
.loop-item { height: 100%; }
.loop-item .elementor-widget-wrap {height: 100%;}
.elementor-loop-container {align-items: stretch;}




.swiper-fit-500 img {
	object-fit: cover;
	height: 500px!important;
}

/* HOVER: color primari */
.elementor .elementor-element[class*="elementor-global-"] .elementor-button:hover {
    background-color: var(--e-global-color-primary);
}
/* FOCUS: color text */
.elementor .elementor-element[class*="elementor-global-"] .elementor-button:focus,
.elementor .elementor-element[class*="elementor-global-"] .elementor-button:focus-visible {
    background-color: var(--e-global-color-text)!important;
}


/* menu responsive */ 

/* menu responsive */ 
/* Reset base només al dropdown */
.elementor-nav-menu--dropdown a.elementor-item {
    background-color: transparent;
    -webkit-tap-highlight-color: transparent;
}

/* Color base */
.elementor-nav-menu--dropdown a.elementor-item {
    color: #393c41; /*70 gris */
    background-color: transparent !important;

}

/* Hover / Focus / Active sobre el LINK */
.elementor-nav-menu--dropdown .elementor-nav-menu-item > a.elementor-item:hover, .elementor-nav-menu--dropdown .elementor-nav-menu-item > a.elementor-item:focus, .elementor-nav-menu--dropdown .elementor-nav-menu-item > a.elementor-item.elementor-item-active {
    background-color: transparent !important;
    color: #00B2FF !important; /* blau */
}
.elementor-nav-menu--dropdown .elementor-item.elementor-item-active,.elementor-nav-menu--dropdown .elementor-item.highlighted,.elementor-nav-menu--dropdown .elementor-item:focus,.elementor-nav-menu--dropdown .elementor-item:hover,.elementor-sub-item.elementor-item-active,.elementor-sub-item.highlighted,.elementor-sub-item:focus,.elementor-sub-item:hover {
    background-color: transparent !important;
    color: #00B2FF !important; /* blau */
}

/* Safari: Elementor posa background al <li> */
.elementor-nav-menu--dropdown .elementor-nav-menu-item:hover, .elementor-nav-menu--dropdown .elementor-nav-menu-item:focus, .elementor-nav-menu--dropdown .elementor-nav-menu-item.elementor-item-active { 
    background-color: transparent !important;
    color: #00B2FF !important; /* blau */
}

/* Off-canvas layout */
.e-off-canvas__content nav.elementor-nav-menu--dropdown a.elementor-item {
    display: flex;
    justify-content: space-between;
}

/* Submenú */
.elementor-nav-menu--dropdown ul li ul li.menu-item {
    border-bottom: 0px solid!important;
}
.elementor-nav-menu--dropdown ul li ul li.menu-item a {
    padding:5px 0px!important;
}


.wpml-ls-legacy-list-horizontal{
    padding:0px;
}
.wpml-ls-legacy-list-horizontal a {
    padding: 0px 20px 0px 0px;
}
li.wpml-ls-menu-item ul{
    margin:0!important;
}

/* Treu l'SVG que posa Elementor */
.elementor-nav-menu .sub-arrow svg,
.elementor-nav-menu .sub-arrow i {
    display: none !important;
}



/* Base: plus (imatge) 

.elementor-nav-menu .sub-arrow {
    width: 24px;
    height: 24px;
    display: inline-block;
    background-image: url("/wp-content/themes/hello-breinco/assets/nav-plus.svg");
    background-size: 24px 24px;
    background-repeat: no-repeat;
    background-position: center;
}

/* Quan el submenu està obert (aria-expanded=true) → minus 
.elementor-nav-menu a[aria-expanded="true"] > .sub-arrow {
    background-image: url("/wp-content/themes/hello-breinco/assets/nav-minus.svg") !important;
}

*/

/* btn breinco colors */

.btn-breincocolors .elementor-button-text {
    display: none;
}

.btn-breincocolors .elementor-button-content-wrapper {
    background: url('https://breinco.com/wp-content/themes/hello-breinco/assets/logo-breinco-colors.svg') no-repeat center center;
    background-size: 140px auto;
    width: 140px;
    height: 40px;
}
.btn-breincocolors {
	display: flex;
}
.btn-breincocolors a.elementor-button{
	padding:15px 0px!important;
}

.cta-full-w a.elementor-button {
    width: 100%;
    margin-block-end: -1px!important;
}

.filtre-blur {
	backdrop-filter: blur(3px);
	background-color: rgb(100 100 100 / 50%); /* Ajusta el color i transparència */
}


.arrow-go .elementor-button-icon svg {
    width: 28px !important;
    height: 28px !important;
}
.arrow-go.sm .elementor-button-icon svg {
    width: 21px !important;
    height: 21px !important;
}

.arrow-go.blanc span:after {
    content: url(https://breinco.com/wp-content/themes/hello-breinco/assets/arrow-go-w.svg);
}
.arrow-go span::after {
    width: 13px;
    height: 13px;
    transform: translate(11px, 5px);
    display: inline-block;
}
a.a-blur {
	aspect-ratio: 16/9;
  transition: 0.2s;
}
a.a-blur .filtre-blur {
  backdrop-filter: blur(3px);
  background-color: rgb(100 100 100 / 50%);
  transition: 
  backdrop-filter 0.5s ease 0.2s,     /* dura 0.5s i comença després de 0.2s */
  background-color 0.5s ease 0s;     /* dura 0.25s i comença immediatament */
}
a.a-blur:hover .filtre-blur {
  backdrop-filter: blur(0px);
  background-color: rgb(100 100 100 / 0%);
}
/*
a.a-blur h3 {
  transform: translateY(0);
  opacity: 1;
  transition: 0.2s;
}
a.a-blur:hover h3 {
  transform: translateY(-5px);
  opacity: 0;
}
*/
a.a-blur span {
  display: inline-block;   
  transform: translateY(0);
  opacity: 1;
  transition: 0.2s;    
}
a.a-blur:hover span {
  transform: translateY(15px);
  opacity: 0;
}



a.container-cta-blur{
    padding:25px;
}
a.container-cta-blur:hover::after{
 backdrop-filter: blur(3px);
 background-color: rgb(100 100 100 / 50%);
 transition: 
 backdrop-filter 0.5s ease 0.2s,     /* dura 0.5s i comença després de 0.2s */
 background-color 0.5s ease 0s;     /* dura 0.25s i comença immediatament */
} 
a.container-cta-blur::after{
    content: "";
    width: 100%;
    height: 100%;
    backdrop-filter: blur(0px);
    background-color: rgb(100 100 100 / 0%);
    transition: 0.2s;
}






.blue {
	fill: var(--e-global-color-primary);
}
.blue-50 {
	fill: var(--e-global-color-secondary);
}
.black {
	fill: var(--e-global-color-text);
}
.white, .llista-white path  {
	fill: var(--e-global-color-accent);
}
.gray-70 {
	fill: var(--e-global-color-3dd3e33);
}
.gray-50 {
	fill: var(--e-global-color-030ae74);
}
.gray-30 {
	fill: var(--e-global-color-a6b6733);
}
.gray-10 {
	fill: var(--e-global-color-1d3eed7);
}
.red {
	fill: var(--e-global-color-1d473d4);
}
.yellow {
	fill: var(--e-global-color-ad3d635);
}
.green {
	fill: var(--e-global-color-6747a7a);
}

body.archive header, body.single header, body.page-template-default header{
	margin-bottom:45px;
}
body.single.single-br_product header, body.archive.tax-br_category header, body.archive.tax-br_subcategory header{
    margin-bottom:0px!important;
}
header #main-header.hovered {
	background-color: white;
   filter:drop-shadow(0px 0px 20px #00000047 );
}
header .e-n-menu-content .elementor-nav-menu {
	margin: 10px 0px;
}
header .e-n-menu-dropdown-icon svg{
	scale: 0.7;
}
header .submenu-2col ul {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-auto-flow: column;
    grid-template-rows: repeat(3, auto);
}
header .submenu-2col .elementor-nav-menu li {
    break-inside: avoid;
    page-break-inside: avoid;
    padding: 0px 25px;
}
header .submenu-2col .elementor-nav-menu li a {
    padding: 10px 0px;
    color: var(--e-global-color-text);
    font-family: var(--e-global-typography-text-font-family), Sans-serif;
    font-size: var(--e-global-typography-text-font-size);
    font-weight: var(--e-global-typography-text-font-weight);
    transition: 0.2s;
}
header .submenu-2col .elementor-nav-menu li a:hover {
    padding: 10px 0px;
    color: var(--e-global-color-secondary) !important;
}



header .ico-cerca {
    display: none;
}
@media (min-width: 1024px) and (max-width: 1124px) {
    header .ico-cerca {
        display: block;
    }
}
@media (max-width: 1124px) {
    header .box-cerca {
        display:none;
    }
}
@media (min-width: 1024px) and (max-width: 1224px) {
    :root {
        --n-menu-title-space-between: 2%;
    }
}



body.single-producto .elementor-widget-n-accordion .e-n-accordion-item-title{
	border-width: 1px 0px 0px 0px;
	border-color:var(--e-global-color-a6b6733);
}
body.single-producto .elementor-widget-n-accordion .e-child{
	border: none;
	padding: 25px 0px;
}

body.single-post .elementor-widget-theme-post-content a{
	box-shadow: inset 0 -4px 0 #30baee;
	color: #000;
	position: relative;
	font-weight: 700;
	overflow-wrap: break-word;
	word-wrap: break-word;
	word-break: break-word;
	text-decoration: none;
	transition: background-color .15s cubic-bezier(.33,.66,.66,1);
}
body.single-post .elementor-widget-theme-post-content a:hover{
	background-color: #30baee;
}
span.elementor-button-content-wrapper{  
	align-items: center!important;
}
.e-loop-item.proyecto .elementor-button-icon svg {
	width: 1.4em!important;
}



#main-carousel .swiper-slide{
    height: 90vh;
    min-height: 600px;
}
@media (max-width: 1024px) {
    #main-carousel .swiper-pagination {
        left: 20px!important;
    }
    #main-carousel .swiper-slide{
    height: 80vh;
    }
}

#main-carousel .swiper-pagination {
    position: relative;
    top: -90px;
    left: 120px;
    z-index: 9000;
    text-align: left;
  }
#main-carousel .swiper-pagination-bullet {
    width: 4px;
    height: 4px;
    background-color: #ffffff;
    display: inline-block;
    border-radius: 50%;
    padding:4px;
    transition: background-color 0.3s, transform 0.3s;
    cursor: pointer;
    opacity: 1;
}
#main-carousel .swiper-pagination-bullet-active:after {
    content: "";
    display: inline-block;
    width: 24px;
    height: 24px;
    border: 1px solid white;
    border-radius: 50%;
    background-color: transparent;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
/* Assegura que els bullets siguin clicables */
#main-carousel .swiper-pagination-bullet {
  pointer-events: auto !important;
}
@media (max-width: 1024px) {
  #main-carousel .swiper-pagination {
    left: 24px;
  }
}
@media (max-width: 2160px) {
  #main-carousel .swiper-pagination {
    left: 120px;
  }
}
@media (min-width: 2161px) {
  #main-carousel .swiper-pagination {
    left: calc((100vw - 1920px - 240px) / 2 + 120px);
  }
}







div.e-con-full.border-bottom-white{
	padding-bottom:25px!important;
	border-bottom:1px solid white;
}
div.e-con-full.border-bottom-black{
	padding-bottom:25px!important;
	border-bottom:1px solid black;
}

/* formularis contacta */


form .elementor-field-type-acceptance{
  margin:0px!important;
}
form .elementor-field-option label{
    font-size:14px!important;
    font-weight:400!important;
}
form .elementor-field-type-submit{
  margin-top:30px;
}
input[type="checkbox"] {
  accent-color: #00B2FF; 
  width: 18px;
  height: 18px;
  border: 1px solid #00B2FF;
}

input[type="checkbox"]:not(:checked) {
  border: 1px solid #00B2FF;
}

input[type="checkbox"]:checked {
  border: 1px solid #00B2FF;
  background-color: #ADE5FD;
}

form .elementor-message-svg:before{
	display: none!important;
}

/* gestió css camp provincia (actiu si es selecciona "es") */
.elementor-field-group-your_provincia {
    display: none !important;
}
.elementor-field-group-your_provincia[style*="display: block"] {
    display: block !important;
    visibility: visible !important;
    opacity: 1 !important;
    height: auto !important;
}
.elementor-field-group-your_provincia .elementor-field,
.elementor-field-group-your_provincia .elementor-select-wrapper {
    display: block !important;
}





.type-br_colocacion ol {
  list-style: none; 
  counter-reset: item;
  padding-left: 0;
}
.type-br_colocacion ol li h4, .type-br_colocacion ol li p {
  margin: 0;
  padding: 2px 0px;
}
.type-br_colocacion ol li {
  counter-increment: item;
  margin: 0.8em 0;
  padding-left: 3em;
  position: relative;
}
.type-br_colocacion ol li::before {
  content: counter(item);
  position: absolute;
  left: 0;
  top: 0;
  width: 1.8em;
  height: 1.8em;
  border-radius: 50%;
  text-align: center;
  line-height: 1.8em;
  font-size: 1.1em;
  color: var(--e-global-color-primary);
  background: var(--e-global-color-secondary);
}

@media (max-width: 1024px) {
.breinco-colocacion-description {
    order: 2;
}
.breinco-colocacion-gallery {
    order: 1;
}
}

ol {
  list-style: none; 
  counter-reset: item;
  padding-left: 0;
}
ol li {
  counter-increment: item;
  margin: 0.8em 0;
  padding-left: 3em;
  position: relative;
}
ol li::before {
  content: counter(item);
  position: absolute;
  left: 0;
  top: 0;
  width: 1.8em;
  height: 1.8em;
  border-radius: 50%;
  text-align: center;
  line-height: 1.8em;
  font-size: 1.1em;
  color: var(--e-global-color-primary);
  background: var(--e-global-color-secondary);
}

/* arxius producte */

button.bpv-accordion-header {
	padding: 15px 0px;
	font-weight: 400;
}

span.bpv-accordion-title{
	font-family: var(--e-global-typography-text-font-family);
	font-size: var(--e-global-typography-text-font-size);
}
ul.br-subcategory-list{
	padding-left: 0px;
}
li.br-subcategory-item {
    list-style: none;
}
li.br-subcategory-item a {
	font-family: var(--e-global-typography-text-font-family);
	font-size: var(--e-global-typography-df345db-font-size) ;
}
li.br-subcategory-item a:hover{
	color: var(--e-global-color-primary);
}

@media (max-width: 1024px) {
    .breinco-subcategory-item {
        margin-bottom: 4px;
    }

    .breinco-subcategory-link {
         font-size: var(--e-global-typography-e0d5aff-font-size);
        line-height: var(--e-global-typography-e0d5aff-line-height);
    }
}



/* fitxa producte */

.bpv-accordion-icon{
    font-weight: 200 !important;
    font-family: var(--e-global-typography-text-font-family);
    color: var(--color-grey-50);
    transition: 0.2s;
}

.bpv-accordion-icon:hover{
    color:var(--e-global-color-primary);
}

.breinco-product-viewer {
    padding: 20px 0px;
}

.bpv-image img {
    aspect-ratio: 3 / 2;
    object-fit: contain;
}


.breinco-colocacion-section{
    border:none;
}

.bpv-specifications{
    padding-left: 20px;
}
.bpv-image {
    aspect-ratio: inherit!important;
}
@media (max-width: 1024px) {
    .bpv-image {
        aspect-ratio: 24 / 19;
    }

    .bpv-product-info {
        padding:0px;
    }
}
@media (max-width: 767px) {
    .bpv-product-info {
        top: 50px;
    }
}

.badge {
	position: absolute!important;
    top: 0!important;
    z-index: 1!important;
}
span.badge-new {
    background-color: var(--e-global-color-secondary);
    color: var(--e-global-color-primary);
    padding: 2px 12px;
}




/* per fer update a plugin jordi 

.breinco-colocacion-section {
    padding: 0px 120px;
}
@media (max-width: 1024px) {
   .breinco-colocacion-section {
         padding: 0px 24px;
    }
}
*/

.breinco-colocacion-section {
    padding: 0px;
}
.breinco-product-card .breinco-product-image .new-product{
    top: 0px;
}
.bpv-image .new-product {
    top: 20px;
}

@media (max-width: 1024px) {
      .breinco-product-grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr)!important;
        gap: 30px 30px!important;
    }
}




/* estils colocació fitxa producte */
.breinco-colocacion-section .breinco-colocacion-detail-title, .breinco-colocacion-section label, .breinco-colocacion-section h5, h4.breinco-colocacion-detail-title {
	display:none;
}
.breinco-colocacion-section .breinco-colocacion-details {
    display: grid;
    column-gap:20px;
    grid-template-columns: 50% 50%;
}

.breinco-colocacion-section .breinco-colocacion-details {
    background: #fff; 
    padding: 0px; 
    border-radius: 0px; 
    border:none;
}
.breinco-colocacion-section .breinco-gallery-swiper .swiper-pagination {
    bottom: 0px;
    left: inherit;
    transform:inherit;
    width: auto;  
}
.breinco-colocacion-section .swiper-pagination.swiper-pagination-clickable.swiper-pagination-bullets.swiper-pagination-horizontal {
    width: 100%;
    display: flex;
    justify-content: center;
}

@media (max-width: 1024px) {
    .breinco-colocacion-section .breinco-colocacion-details {
        grid-template-columns: 100%;
    }
}


/* cercador */

.elementor-widget-search .e-search-results-container{
	right:0px!important;
}
.cerca-tipus-post {
    font-family: var(--e-global-typography-e0d5aff-font-family), Sans-serif;
    font-size: var(--e-global-typography-e0d5aff-font-size);
    font-weight: var(--e-global-typography-e0d5aff-font-weight);
    line-height: var(--e-global-typography-e0d5aff-line-height);
    color:var(--e-global-color-030ae74);
}
.e-search-results-list {
    margin-bottom: 30px;
}

/* projectes */
.type-proyecto a.elementor-element{
	background-size: cover;
	background-position: center center;
}

/* slide projectes */
.type-proyecto .elementor-image-carousel-wrapper.swiper, .type-proyecto figure.swiper-slide-inner {
    height: 100%;
}
.type-proyecto img.swiper-slide-image {
    object-fit: cover;
    height: 100%!important;
}

/* whatsapp */
#link-whatsapp a.elementor-icon {
    position: fixed;
    bottom: 10px;
    right: 10px;
    background-color: #f4f4f1;
    padding: 10px;
    border-radius: 50px;
    z-index:1;
}
#link-whatsapp a.elementor-icon svg {
 transition: 0.2s;
}

/* blog */
/* als posts importats les imatges no tenen marge */
body.single-post .post img {
    margin: 20px 0px;
}
body.single-post .post .elementor-widget-theme-post-featured-image{
     margin: 0px;
}


